if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
  var msViewportStyle = document.createElement('style')
  msViewportStyle.appendChild(
    document.createTextNode(
      '@-ms-viewport{width:auto!important}'
    )
  )
  document.querySelector('head').appendChild(msViewportStyle)
}
/*!
 * jQuery Cookie Plugin
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2011, Klaus Hartl
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.opensource.org/licenses/GPL-2.0
 */
(function($) {
    $.cookie = function(key, value, options) {

        // key and at least value given, set cookie...
        if (arguments.length > 1 && (!/Object/.test(Object.prototype.toString.call(value)) || value === null || value === undefined)) {
            options = $.extend({}, options);

            if (value === null || value === undefined) {
                options.expires = -1;
            }

            if (typeof options.expires === 'number') {
                var days = options.expires, t = options.expires = new Date();
                t.setDate(t.getDate() + days);
            }

            value = String(value);

            return (document.cookie = [
                encodeURIComponent(key), '=', options.raw ? value : encodeURIComponent(value),
                options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
                options.path    ? '; path=' + options.path : '',
                options.domain  ? '; domain=' + options.domain : '',
                options.secure  ? '; secure' : ''
            ].join(''));
        }

        // key and possibly options given, get cookie...
        options = value || {};
        var decode = options.raw ? function(s) { return s; } : decodeURIComponent;

        var pairs = document.cookie.split('; ');
        for (var i = 0, pair; pair = pairs[i] && pairs[i].split('='); i++) {
            if (decode(pair[0]) === key) return decode(pair[1] || ''); // IE saves cookies with empty string as "c; ", e.g. without "=" as opposed to EOMB, thus pair[1] may be undefined
        }
        return null;
    };

$(function(){
	//themes, change CSS with JS
	//default theme(CSS) is android, change it if needed
	var themeDefault = 'android',
		menu_active = jQuery.cookie('menu_active') || 'active' ,
		navbarIdx = jQuery.cookie('navbarIdx') || 0 ,
		current_theme = jQuery.cookie('current_theme') || themeDefault ,
		themePath = $('#bs-css').data('path'),
		span,spanContainer,nextSpan,
		menuBtn = $('#new-collapser'), mainmenu = $('#mainmenu');

	// sonsole.log(
	if (current_theme != themeDefault) switch_theme(current_theme);
	
	if ($('.sidebar-nav').length) {
		$('.sidebar-nav').addClass('in collapse');
		if ($('#j-sidebar-container').length) spanContainer = $('#j-sidebar-container');
		else if ($('#sidebar').length) spanContainer = $('#sidebar');
		else spanContainer = $('.cpanel-links').parent();
		if ( !spanContainer.hasClass('span2') && !spanContainer.hasClass('span3') ) 
			spanContainer = spanContainer.parent();
		span = spanContainer.attr('class');

		if (span =='span2') nextSpan = 'span10';
		else nextSpan = 'span9';
		$('#submenu-toggler').click(function(e){
			menu_active = menu_active=='active' ? 'inactive' : 'active';
			$(this).parent().toggleClass('active');
			spanContainer.toggleClass('span12 '+span).next().toggleClass('span12 '+nextSpan);
			jQuery.cookie('menu_active',menu_active,{expires:365});
			if (!menuBtn.hasClass('collapsed'))
				menuBtn.trigger('click');
		});
		if (menu_active != 'active') {
			menu_active = 'active'
			$('#submenu-toggler').trigger('click');
		}
		// console.log(menu_active+' state');
	} else $('nav .pull-right').remove();
	
	$('.btn-micro').addClass('btn-mini');
	// $('#menu >li >a').off( "mouseover" );
	// $('#menu >li >a').off( "mouseenter" );
	
	$('#menu >li> a').click(function(e)
	{	var $li = $(this).parent();
		$li.siblings().removeClass('expanded');
		if ($li.hasClass('expanded')) $li.find('.dropdown-submenu').toggleClass('expanded');
		$li.addClass('expanded');
		var index = $( "#menu >li" ).index( $li );
		jQuery.cookie('navbarIdx',index,{expires:365});

		$('#menu >li.open').removeClass('open');
		
		console.log(index);
		// $('#menu li a')
		// e.stopPropagation();
	});
	$('#history-left').click(function(e)
	{
		e.preventDefault();
		if (jQuery('#toolbar-cancel').length) {
			jQuery('#toolbar-cancel button').click();
		}
		else history.back();
	});

	menuBtn.click(function(e){
		if (menuBtn.hasClass('collapsed')) {
			e.preventDefault();
			e.stopPropagation();
			mainmenu.height("auto").children().children().eq(navbarIdx).addClass('open expanded');
		} else mainmenu.height(0);
		menuBtn.toggleClass('collapsed');
		// console.log(navbarIdx);
		return false;
	}); 
	// $modals.click(function(e){
		// e.preventDefault();
		// var src = this.href;
		//console.log(
		// if ($('#iModal').length ==0 ) {
		 // modal = '<div id="iModal" class="modal hide fade" tabindex="-1" role="dialog">'+
				// '	<div class="modal-header" style="height:10px;border:none;text-align:right;"><button type="button" style="float:none;" class="close" data-dismiss="modal" aria-hidden="true">&times;</button></div>'+
				// '	<div class="modal-body" style="padding:0px;">'+
				// '		<iframe src="" style="zoom:0.60" width="99.6%" height="400" frameborder="0"></iframe>'+
				// '	</div>'+
				// '</div>';
			// $('body').append(modal);
			// $('#iModal button.close').click(function () {$('#iModal').modal('hide');});

		// }

		// $('#iModal').on('show', function () {
			// $('iframe').attr("src",src);
		// });
		// $('#iModal').modal({show:true});
	// });
	$('#nav-user li.theme a[data-value="'+current_theme+'"]').parent().addClass('active').find('i').addClass('icon-ok');
				 
	$('#nav-user li.theme a').click(function(e){
		e.preventDefault();
		current_theme=$(this).attr('data-value');
		jQuery.cookie('current_theme',current_theme,{expires:365});
		switch_theme(current_theme);
		$('.nav-user li.active').removeClass('active').find('i').removeClass('icon-ok');
		$(this).parent().addClass('active').find('i').addClass('icon-ok');
	});
	
	
	function switch_theme(theme_name)
	{
		$('#bs-css').attr('href',themePath+theme_name+'/bootstrap.css');
	}
	$('fieldset.radio').addClass('btn-group');
	// Turn radios into btn-group
	$('.radio.btn-group label').addClass('btn');
	
	$('.btn-group label:not(.active)').click(function()
	{
		var label = $(this);
		var input = $('#' + label.attr('for'));

		if (!input.prop('checked')) {
			label.closest('.btn-group').find('label').removeClass('active btn-success btn-danger btn-primary');
			if (input.val() == '') {
				label.addClass('active btn-primary');
			} else if (input.val() == 0) {
				label.addClass('active btn-danger');
			} else {
				label.addClass('active btn-success');
			}
			input.prop('checked', true);
		}
	});
	$('.btn-group input[checked=checked]').each(function()
	{
		if ($(this).val() == '') {
			$('label[for=' + $(this).attr('id') + ']').addClass('active btn-primary');
		} else if ($(this).val() == 0) {
			$('label[for=' + $(this).attr('id') + ']').addClass('active btn-danger');
		} else {
			$('label[for=' + $(this).attr('id') + ']').addClass('active btn-success');
		}
	});
	
	/* Ajax adminForm submit*/
	var form =  $('#adminForm');
	// $('#filter_search').attr('type','search').keydown(function( e ) {
		// if ( e.which == 13 ) {
			// $(this).blur();
			// submitAjax()
		// }
	// });
	if ( !form.find("input[name='filter_order']").length ) {
		form.append('<input type="hidden" name="filter_order" value="">');
		form.append('<input type="hidden" name="filter_order_Dir" value="">');
	
	}
	function submitAjax() {

		var action = form.attr('action');
		
		// form.append('<input type="hidden" name="tmpl" value="content">');
		form.find('.js-stools-column-order').tooltip('destroy');
		if (action == 'index.php') action += '?tmpl=content' ;
		else action += '&tmpl=content' ;
		$.ajax({type:"POST", data: form.serialize(), url:action
		})
		.done(function( data ) {
			var container = $('<div>'+data+'</div>'),table = container.find('#adminForm table').eq(0).html();
			if (typeof table == "undefined") table = '<thead><tr><th width="100%" class="nowrap"></th></tr></thead>';//.html());
			form.find('table').eq(0).html(table);
			form.find('.js-stools-column-order').click(function(){
				var $order = $(this) ;
				// console.log($order);
				// return;
				document.adminForm.filter_order_Dir.value = $order.attr('data-direction');
				document.adminForm.filter_order.value = $order.attr('data-order');
				var element = document.getElementById('list_fullordering');
				element.value = document.adminForm.filter_order.value+" "+adminForm.filter_order_Dir.value;
				$('#list_fullordering').trigger("chosen:updated");
				// console.log($order);
				// this.form.filter_order_Dir = $order.data('name');
				
				submitAjax();
			});
			$('#adminForm table .hasTooltip').tooltip();
			$('#adminForm .btn-micro').addClass('btn-mini');
		})
		.fail( function( jqXHR, textStatus ){
			$("#ajax-tmpl-component").html('AJAX Error !!! >' + textStatus);
		});
	}
	form.find('.js-stools select').attr('onchange',null).change( function() {submitAjax()} );
	form.submit(function(e){
		if (!document.adminForm.task.value) {
			e.preventDefault();
			submitAjax();
			return false;
		}
		document.adminForm.submit();
	});
	
	var btns = $('.subhead .btn-toolbar .btn-wrapper').length,btnClass = '';
	if (btns > 6 && btns < 13) btns = btns/2;
	else if (btns > 12) btns = btns/3;
	btnClass = 'bt'+Math.ceil(btns);
	$('.subhead .btn-toolbar').addClass(btnClass);
	$('.js-stools-btn-filter').parent().removeClass('hidden-phone');
	$('.js-stools-container-filters').removeClass('hidden-phone');
	// permit joomla.submitForm to use submit Ajax
	 $.submitAjax = function() {
		submitAjax();
	 }
});
})(jQuery);

/**
 * Generic submit form
 */
if (typeof Joomla !== "undefined") {
	Joomla.submitform = function(task, form) {
		if (typeof(form) === 'undefined') {
			form = document.getElementById('adminForm');
		}

		if (typeof(task) !== 'undefined' && task !== "") {
			form.task.value = task;
		}
		if (form.task.value =='') {
			jQuery.submitAjax();
			return false;
		}
		// Submit the form.
		if (typeof form.onsubmit == 'function') {
			form.onsubmit();
		}
		if (typeof form.fireEvent == "function") {
			form.fireEvent('submit');
		}
		form.submit();
	};
}
if (typeof SqueezeBox !== "undefined") {
	
	SqueezeBox.resize = function(size, instantly) {
		console.log('resize');
		jQuery('#sbox-btn-close').css({'padding':'5px','right':'-5px'});
		var h = (jQuery(window).height()-40).toInt();
		var w = (jQuery(window).width()-20).toInt();
		var $frame = jQuery('#sbox-content iframe');
		// if (h<400) h = 400;
		// if (w<400) w = 400;
		this.size = {x: 200, y: 150};
		this.size.y = h;
		this.size.x = w;
		this.showTimer = clearTimeout(this.showTimer || null);
		if ($frame.length) {
			$frame.attr('width',w);
			$frame.attr('height',h);
		
		}
		var box = this.doc.getSize(), scroll = this.doc.getScroll();
		// this.size = Object.merge((this.isLoading) ? this.options.sizeLoading : this.options.size, size);
		var parentSize = self.getSize();
		// if (this.size.x == parentSize.x) {
			// this.size.y = this.size.y - 20;
			// this.size.x = this.size.x - 20;
		// }
		var to = {
			width: this.size.x,
			height: this.size.y,
			left: (scroll.x + (box.x - this.size.x - this.options.marginInner.x) / 2 +20).toInt(),
			top: (scroll.y + (box.y - this.size.y - this.options.marginInner.y) / 2).toInt()
		};
		this.hideContent();
		if (!instantly) {
			this.fx.win.start(to).chain(this.showContent.bind(this));
		} else {
			this.win.setStyles(to);
			this.showTimer = this.showContent.delay(50, this);
		}
		return this.reposition();
	}
	// SqueezeBox.presets.onOpen = function() { console.log('onOpen') } //queezeBox.resize({x: 750, y: 400}) console.log(this.size)}
/* 	SqueezeBox.presets.onOpen = function() {
		console.log('onOpen');
		h = (jQuery(window).height()*0.9).toInt();
		w = (jQuery(window).width()*0.9).toInt();
		if (h<400) h = 400;
		if (w<400) w = 400;
		SqueezeBox.options.size.x = w;
		SqueezeBox.options.size.y = h;
	} */
	// SqueezeBox.presets.onClose = function() { console.log('onClose')}
/* 	SqueezeBox.presets.onUpdate = function() {
		h = (jQuery(window).height()*0.9).toInt();
		w = (jQuery(window).width()*0.9).toInt();
		if (h<400) h = 400;
		if (w<400) w = 400;
		SqueezeBox.resize({x: w, y: h});
		jQuery('#sbox-content iframe').attr('width',w).attr('height',h);
	} */
	// SqueezeBox.presets.onResize = function() { console.log('onResize')}
	// SqueezeBox.presets.onMove = function() {
		
		// console.log('onMove')
	// }
	// SqueezeBox.presets.onShow = function() { console.log('onShow')}
	// SqueezeBox.presets.onHide = function() { console.log('onHide')}
}
